Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.luntsys.luntbuild.remoting
Class CommonModuleFacade

    java.lang.Object
      com.luntsys.luntbuild.remoting.ModuleFacade
          com.luntsys.luntbuild.remoting.CommonModuleFacade

Direct Known Subclasses:
  CvsModuleFacade, SvnModuleFacade, VssModuleFacade

public class CommonModuleFacade
extends ModuleFacade

Facade of a common module

Author:
  robin shine

Constructor Summary
`CommonModuleFacade()`

Method Summary
`java.lang.String` | `getBranch()` Get branch of the source path
`java.lang.String` | `getDestPath()` Get destination path of this module
`java.lang.String` | `getLabel()` Get label of the source path.
`java.lang.String` | `getSrcPath()` Get source path in repository of this module
`void` | `setBranch(java.lang.String branch)` Set branch of the source path
`void` | `setDestPath(java.lang.String destPath)` Set destination path of this module
`void` | `setLabel(java.lang.String label)` Set label of the source path
`void` | `setSrcPath(java.lang.String srcPath)` Set source path in repository of this module

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommonModuleFacade

    public CommonModuleFacade()

Method Detail

### getSrcPath

    public java.lang.String getSrcPath()

  Get source path in repository of this module

  Returns:
    source path in repository

### setSrcPath

    public void setSrcPath(java.lang.String srcPath)

  Set source path in repository of this module

  Parameters:
    `srcPath` -

### getBranch

    public java.lang.String getBranch()

  Get branch of the source path

  Returns:
    branch of the source path
  See Also:
    `getSrcPath()`

### setBranch

    public void setBranch(java.lang.String branch)

  Set branch of the source path

  Parameters:
    `branch` -

### getLabel

    public java.lang.String getLabel()

  Get label of the source path.

  Returns:
    label of the source path
  See Also:
    `getSrcPath()`

### setLabel

    public void setLabel(java.lang.String label)

  Set label of the source path

  Parameters:
    `label` -

### getDestPath

    public java.lang.String getDestPath()

  Get destination path of this module

  Returns:
    destination path of this module

### setDestPath

    public void setDestPath(java.lang.String destPath)

  Set destination path of this module

  Parameters:
    `destPath` -

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Luntsys Corp. All Rights Reserved.